Table of Contents

Module: eric3 | eric3/eric3.py
--- | ---

Eric3 Python IDE

This is the main Python script that performs the neccessary initialization of the IDE and starts the Qt event loop.

Imported modules |
--- | ---
import Preferences from UI.Info import Program, Version import os from qt import QApplication, QTranslator, QTextCodec, QPixmap, QPoint, QLabel, Qt, QFrame, QRect, QPainter, QFont, SIGNAL, SLOT import sys
Functions |
loadTranslator showSplash
| loadTranslator

    loadTranslator ( dirs,  tn )

### Global function to find and load a specific translation.

#### Arguments

dirs
  searchpath for the translations (list of strings)
tn
  the translation to be loaded (string)

#### Returns

tuple of a status flag and the loaded translator (int, QTranslator)

| showSplash

    showSplash ()

Global function to show a nice splash screen.

Table of Contents

This document was automatically generated by HappyDoc version 2.1